{% extends "base.html" %}{% load static i18n %}

{% block content %}
  <div class="row">
    <div class="col-10">
      <h1>{% translate 'Scan any barcode' %}</h1>
      <p>{% translate 'Use an external reader or type the code in the field' %}</p>
    </div>
    <div class="col-2 float-end">
      <a href="{% url 'home' %}" class="h1 float-end"><i class="bi-x-lg text-primary"></i></a>
    </div>
  </div>
  <div class="row">
    <div class="col">
      <p class="h1 text-center mb-4"><i class="bi-upc-scan"></i></p>
      <form method="get" action="{% url 'barcodes:search' %}">
        <input type="text" class="form-control" name="barcode" id="barcode" />
        <input type="hidden" name="parent_id" value="{{ request.GET.parent_id }}" />
        <input type="hidden" name="option" value="{{ request.GET.option }}" />
        <input type="submit" hidden="hidden"></form>
      </form>
    </div>
  </div>
  <div class="row mt-4">
    <div class="col">
      <a href="{% url 'barcodes:set' "mobile" %}?parent_id={{ request.GET.parent_id }}&option={{ request.GET.option }}" class="btn btn-primary">{% translate 'Scan with the camera' %}</a>
      <a href="{% url 'barcodes:set' "reader" %}?parent_id={{ request.GET.parent_id }}&option={{ request.GET.option }}" class="btn btn-outline-primary">{% translate 'Scan with a reader' %}</a>
    </div>
  </div>
{% endblock content %}

{% block inline_javascript %}
<script>

  window.addEventListener('DOMContentLoaded', () => {
    document.getElementById("barcode").focus();;
  });

</script>
{% endblock %}
